Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

change how care_about_ruby version works, fixes issue #19

  • Loading branch information...
commit dd3e4944c182416e401944cae0fabba46bb3d2c2 1 parent b3e091e
@Arie Arie authored
Showing with 6 additions and 6 deletions.
  1. +6 −6 lib/roundsman/capistrano.rb
View
12 lib/roundsman/capistrano.rb
@@ -88,17 +88,17 @@ def install_ruby?
return true
end
required_version = fetch(:ruby_version).gsub("-", "")
- if installed_version.include?(required_version)
- if fetch(:care_about_ruby_version)
+ if fetch(:care_about_ruby_version)
+ if installed_version.include?(required_version)
logger.info "Ruby #{installed_version} matches the required version: #{required_version}."
return false
else
- logger.info "Already installed Ruby #{installed_version}, not #{required_version}. Set :care_about_ruby_version if you want to fix this."
- return false
+ logger.info "Ruby version mismatch. Installed version: #{installed_version}, required is #{required_version}"
+ return true
end
else
- logger.info "Ruby version mismatch. Installed version: #{installed_version}, required is #{required_version}"
- return true
+ logger.info "Already installed Ruby #{installed_version}, not #{required_version}. Set :care_about_ruby_version if you want to fix this."
+ return false
end
end
Please sign in to comment.
Something went wrong with that request. Please try again.